<app-default-button
  *ngIf="page > 1"
  (click)="page = page - 1"
>
  Prev
</app-default-button>
<app-default-button
  *ngIf="hasNextPage"
  (click)="page = page + 1"
>
  Next
</app-default-button>
<span *ngIf="pageAmount > 1">
  Page {{page}} of {{pageAmount}}
</span>
